- Qt 5.15
- Qt 3D
- QML Types
- Skeleton QML Type
- Qt 5.15.11 Reference Documentation

# Skeleton QML Type

Holds the data for a skeleton to be used with skinned meshes. More...

Import Statement: | import Qt3D.Core 2.15
Since: | Qt 5.10
Instantiates: | QSkeleton
Inherits: | AbstractSkeleton

- List of all members, including inherited members

## Properties

- rootJoint : Joint

## Detailed Description

Use Skeleton if you wish to manually create the joints of a skeleton for use with skinned meshes. This is mainly of use to people creating editors, tooling, or dynamic skeletons. It is more common that a Qt 3D application would simply consume an existing skeleton and skinned mesh as created in a digital content creation tool such as Blender. For this use case, please see SkeletonLoader.

## Property Documentation

rootJoint : Joint

Holds the root joint of the hierarchy of joints forming the skeleton.